Take the 2-minute tour ×
Server Fault is a question and answer site for professional system and network administrators. It's 100% free, no registration required.

Possible Duplicate:
How to install Postgres on LINUX with two verions?

I've installed multiple PostgreSQL version(9.0.3, 8.4.6) on same server . I've changed PORT also. I used to run:

 psql -h localhost -p 5437 -U postgres8 -d postgres. 

It is working fine. But showing old version (8.3) instead of 8.4.

what is my mistake? Please help me...

share|improve this question

migrated from stackoverflow.com Jun 10 '11 at 9:31

This question came from our site for professional and enthusiast programmers.

marked as duplicate by Chopper3 Jun 21 '11 at 14:09

This question has been asked before and already has an answer. If those answers do not fully address your question, please ask a new question.

3  
How many dups of this are you going to open? –  Denis Jun 10 '11 at 9:17
1  
Stop posting the same question! If you have more detail to put into your question please edit your original post to fine tune it, but please don't keep adding new questions. –  Caleb Jun 10 '11 at 12:34
add comment

1 Answer

You probably mean the version output of your psql binary. Try to make the server version visible:

$ psql -h localhost -p 5437 -U postgres8 -d postgres
SELECT version();

To avoid problems, I'd recommend to either use the psql binary from PostgreSQL 9 or to use the psql binary that matches the server version. Unter Debian/Ubuntu you'll find the binaries under /usr/lib/postgresql/<VERSION>/bin/psql.

share|improve this answer
add comment

Not the answer you're looking for? Browse other questions tagged or ask your own question.